Package org.apache.sling.scripting.sightly.compiler

## Interface CompilationUnit

    @ProviderType
    public interface CompilationUnit

This class describes a compilation unit that the `SightlyCompiler` will process during the call of the `compile` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getScriptName()` Returns the name of the script that will be compiled.
`Reader` `getScriptReader()` Provides the `Reader` from which the compiler will read the script to compile.

### Method Detail

#### getScriptName

    String getScriptName()

Returns the name of the script that will be compiled.

Returns:
  the script name

#### getScriptReader

    Reader getScriptReader()

Provides the `Reader` from which the compiler will read the script to compile.

Returns:
  the reader